set encoding utf8

# 実習教材（図２）
#
# これはgnuplotのプログラムです。cnmディレクトリに保存されている５つのデータファイルを統合して
# 棒グラフを出力します。出力された画像はPDF形式でpdfディレクトリに保存されます。
# プログラムは不完全なため、お手本の画像とすこし異なっています。プログラムを修正して、お手本と同じ画像を作成しましょう。

set terminal pdfcairo
set style line 1 linetype -1 linewidth 2

set output "images/fig2-cnm-joins-time-series.pdf"
set xlabel "#Joins"
set ylabel "Time [sec]"

plot \
  "../cnm/time-join-500K.data" title "#Nodes = 500K", \
  "../cnm/time-join-400K.data" title "#Nodes = 400K" with boxes, \
  "../cnm/time-join-300K.data" title "#Nodes = 300K" with boxes linewidth 2, \
  "../cnm/time-join-200K.data" title "#Nodes = 200K" with boxes linewidth 2 linecolor rgb "black", \
  "../cnm/time-join-100K.data" title "#Nodes = 100K" with boxes linewidth 2 linecolor rgb "black" fillstyle pattern 4
