set encoding utf8

set terminal pdf

set style line 1 linewidth 4 dashtype 1 linecolor rgb "black"
set style line 2 linewidth 4 dashtype 2 linecolor rgb "black"
set style line 3 linewidth 4 dashtype 3 linecolor rgb "black"
set style line 4 linewidth 4 dashtype 4 linecolor rgb "black"

set output "images/fig5-all-etime-size.pdf"
set xlabel "Size of Social Network"
set ylabel "Elapsed Time [sec]"

plot \
  "../cnm/etime-size.data" title "CNM"  with lines linestyle 4, \
  "../he2/etime-size.data" title "HE'"  with lines linestyle 3, \
  "../he1/etime-size.data" title "HE"   with lines linestyle 2, \
  "../hn/etime-size.data"  title "HN"   with lines linestyle 1
